ILSEL_ENABLE(9)

NAME
ilsel_enable - Enable an ILSEL set.

SYNOPSIS

int ilsel_enable(ilsel_source_t set);

ARGUMENTS

set
    ILSEL source (see ilsel_source_t enum in include/asm-sh/ilsel.h).

DESCRIPTION

Enables a given non-aliased ILSEL source (<= ILSEL_KEY) at the highest available interrupt level. Callers should take care to order callsites noting descending interrupt levels. Aliasing FPGA and external board IRQs need to use ilsel_enable_fixed.

The return value is an IRQ number that can later be taken down with ilsel_disable.

AUTHOR

Paul Mundt <lethal@linux-sh.org>
    Author.

COPYRIGHT